import React, { useEffect, useMemo, useRef, useState } from 'react';
import loader from '@/components/AMap/loader';
import geoPolygon from './geoPolygon';

const plugins = ['AMap.ToolBar'];
export default (containerRef) => {
  const amapRef = useRef();
  const [map, setMap] = useState();

  useEffect(() => {
    loader(plugins).then((AMap) => {
      amapRef.current = AMap;
      const mapInst = new AMap.Map(containerRef.current, {
        mapStyle: 'amap://styles/669a7d8709a9bab0945747a1a1db3327',
        // mapStyle: 'amap://styles/blue',
        zoom: 10,
        resizeEnable: true,
        center: [112.092716, 32.681642],
      });

      // 缩放按钮
      mapInst.addControl(new AMap.ToolBar());

      // 遮罩层;
      geoPolygon(AMap, mapInst);

      //
      setMap(mapInst);
    });
  }, []);

  return { amapRef, map };
};
