import request from '@/utils/request';

/**
 * 保存资讯
 * @param {*} data
 * @returns
 */
export const addNews = (data) => request('/news', { method: 'post', data });

/**
 * 修改资讯
 * @param {*} data
 * @returns
 */
export const updateNews = (id, data) => request(`/news/${id}`, { method: 'put', data });

/**
 * 查询资讯列表
 * @param {*} params
 * @returns
 */
export const getNewsList = (params) => request('/news', { params });

/**
 * 删除资讯
 * @param {*} data
 * @returns
 */
export const deleteNews = (id) => request(`/news/${id}`, { method: 'delete' });

/**
 * 查询资讯详情
 * @param {*} params
 * @returns
 */
export const getNewsDetail = (id) => request(`/news/${id}`);
